Bug 1219905 - Review Request: python-cliff-tablib - Tablib formatters for python-cliff
Summary: Review Request: python-cliff-tablib - Tablib formatters for python-cliff
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lon Hohberger
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1187309 1194780
TreeView+ depends on / blocked
 
Reported: 2015-05-08 16:40 UTC by Haïkel Guémar
Modified: 2015-07-18 02:02 UTC (History)
4 users (show)

Fixed In Version: python-cliff-tablib-1.1-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-16 23:43:33 UTC
lhh: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Haïkel Guémar 2015-05-08 16:40:25 UTC
Spec URL: https://hguemar.fedorapeople.org/reviews/python-cliff-tablib.spec
SRPM URL: https://hguemar.fedorapeople.org/reviews/python-cliff-tablib-1.1-1.fc22.src.rpm
Description: cliff-tablib is a set of formatter extensions for producing JSON,
YAML, and HTML output in programs created with the cliff framework.
Fedora Account System Username: hguemar

Comment 1 Lon Hohberger 2015-06-09 17:10:32 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
     Lon: Apache License 2.0; verified upstream
[-]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
     Lon: Source tarball release does not contain license file
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 32 files have unknown license. Detailed
     output of licensecheck in /home/lhh/1219905-python-cliff-
     tablib/licensecheck.txt
     Lon: Apache License 2.0; verified upstream
[-]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 573440 bytes in 76 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[-]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     Lon: Started as [!], but waived: Trivial whitespace difference.
          Both are correct and would result in an equivalently functional
          package.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
     Lon: Waived: 'formatter' is correct in this case.  jquery is in docs;
          will not affect function.


Rpmlint
-------
Checking: python-cliff-tablib-1.1-1.fc21.noarch.rpm
          python3-cliff-tablib-1.1-1.fc21.noarch.rpm
          python-cliff-tablib-1.1-1.fc21.src.rpm
python-cliff-tablib.noarch: W: spelling-error Summary(en_US) formatters -> for matters, for-matters, formatted
python-cliff-tablib.noarch: W: spelling-error %description -l en_US formatter -> formatted, for matter, for-matter
python-cliff-tablib.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-cliff-tablib/html/_static/jquery.js
python3-cliff-tablib.noarch: W: spelling-error Summary(en_US) formatters -> for matters, for-matters, formatted
python3-cliff-tablib.noarch: W: spelling-error %description -l en_US formatter -> formatted, for matter, for-matter
python3-cliff-tablib.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python3-cliff-tablib/html/_static/jquery.js
python-cliff-tablib.src: W: spelling-error Summary(en_US) formatters -> for matters, for-matters, formatted
python-cliff-tablib.src: W: spelling-error %description -l en_US formatter -> formatted, for matter, for-matter
3 packages and 0 specfiles checked; 0 errors, 8 warnings.




Rpmlint (installed packages)
----------------------------
python3-cliff-tablib.noarch: W: spelling-error Summary(en_US) formatters -> for matters, for-matters, formatted
python3-cliff-tablib.noarch: W: spelling-error %description -l en_US formatter -> formatted, for matter, for-matter
python3-cliff-tablib.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python3-cliff-tablib/html/_static/jquery.js
python-cliff-tablib.noarch: W: spelling-error Summary(en_US) formatters -> for matters, for-matters, formatted
python-cliff-tablib.noarch: W: spelling-error %description -l en_US formatter -> formatted, for matter, for-matter
python-cliff-tablib.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-cliff-tablib/html/_static/jquery.js
2 packages and 0 specfiles checked; 0 errors, 6 warnings.



Diff spec file in url and in SRPM
---------------------------------
--- /home/lhh/1219905-python-cliff-tablib/srpm/python-cliff-tablib.spec	2015-06-09 12:39:24.646117404 -0400
+++ /home/lhh/1219905-python-cliff-tablib/srpm-unpacked/python-cliff-tablib.spec	2015-05-08 12:11:03.000000000 -0400
@@ -78,5 +78,5 @@
 
 %files
-%doc html
+%doc html 
 %{python2_sitelib}/clifftablib
 %{python2_sitelib}/cliff_tablib-%{version}-py?.?.egg-info


Requires
--------
python3-cliff-tablib (rpmlib, GLIBC filtered):
    python(abi)
    python3-cliff

python-cliff-tablib (rpmlib, GLIBC filtered):
    python(abi)
    python-cliff



Provides
--------
python3-cliff-tablib:
    python3-cliff-tablib

python-cliff-tablib:
    python-cliff-tablib



Source checksums
----------------
https://pypi.python.org/packages/source/c/cliff-tablib/cliff-tablib-1.1.tar.gz :
  CHECKSUM(SHA256) this package     : 4a8ed81f6678e76d0e0497f2708d0fe5d2b83ec442a03f982aaa711a08c74139
  CHECKSUM(SHA256) upstream package : 4a8ed81f6678e76d0e0497f2708d0fe5d2b83ec442a03f982aaa711a08c74139


Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04
Command line :/usr/bin/fedora-review -b 1219905
Buildroot used: fedora-21-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 Haïkel Guémar 2015-06-09 18:48:54 UTC
Thanks Lon!

For the record, I sent a pull request upstream to add LICENSE in source tarball
https://github.com/dreamhost/cliff-tablib/pull/3

Comment 3 Haïkel Guémar 2015-06-09 18:50:34 UTC
New Package SCM Request
=======================
Package Name: python-cliff-tablib
Short Description: Tablib formatters for python-cliff
Upstream URL: https://github.com/dreamhost/cliff-tablib
Owners: hguemar apevec jruzicka
Branches: f21 f22 epel7
InitialCC:

Comment 4 Gwyn Ciesla 2015-06-10 10:16:53 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2015-06-14 14:00:04 UTC
python-cliff-tablib-1.1-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/python-cliff-tablib-1.1-1.fc22

Comment 6 Fedora Update System 2015-06-14 14:00:37 UTC
python-cliff-tablib-1.1-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/python-cliff-tablib-1.1-1.el7

Comment 7 Fedora Update System 2015-06-14 14:06:45 UTC
python-cliff-tablib-1.1-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-cliff-tablib-1.1-1.fc21

Comment 8 Fedora Update System 2015-06-15 13:29:17 UTC
python-cliff-tablib-1.1-1.fc22 has been pushed to the Fedora 22 testing repository.

Comment 9 Fedora Update System 2015-07-16 23:43:33 UTC
python-cliff-tablib-1.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository.

Comment 10 Fedora Update System 2015-07-18 01:54:15 UTC
python-cliff-tablib-1.1-1.fc22 has been pushed to the Fedora 22 stable repository.

Comment 11 Fedora Update System 2015-07-18 02:02:19 UTC
python-cliff-tablib-1.1-1.fc21 has been pushed to the Fedora 21 stable repository.


Note You need to log in before you can comment on or make changes to this bug.